Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model
Class Edge

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.model.DiagramElement
                        |
                        +--biouml.model.Edge

public class Edge
extends DiagramElement

Edge is directed relation between two diagram nodes, called "input" and "output".

pending notifications for inPort & outPort

Constructor Summary
`Edge(DataCollection parent, String id, Base kernel, Node input, Node output)`
`Edge(DataCollection parent, Base kernel, Node input, Node output)`

Method Summary
`DiagramElement` | `clone(Compartment newParent, String newName)`
`Point` | `getInPort()`
`Node` | `getInput()`
`Point` | `getOutPort()`
`Node` | `getOutput()`
`void` | `setInPort(Point inPort)`
`void` | `setOutPort(Point outPort)`

Methods inherited from class biouml.model.DiagramElement
`getComment, getKernel, getRole, getTitle, getView, setComment, setKernel, setRole, setTitle, setView`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Edge

    public Edge(DataCollection parent, String id, Base kernel, Node input, Node output)

### Edge

    public Edge(DataCollection parent, Base kernel, Node input, Node output)

Method Detail

### clone

    public DiagramElement clone(Compartment newParent, String newName)

### getInPort

    public Point getInPort()

### getInput

    public Node getInput()

### getOutPort

    public Point getOutPort()

### getOutput

    public Node getOutput()

### setInPort

    public void setInPort(Point inPort)

### setOutPort

    public void setOutPort(Point outPort)

Association Links

to Class biouml.model.Node

to Class biouml.model.Node

to Class java.awt.Point

to Class java.awt.Point

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM